From e7a60fb82d6326cc55db179e2de3af3201c1de21 Mon Sep 17 00:00:00 2001
From: Aurelien Bompard <aurelien@bompard.org>
Date: Feb 01 2017 23:55:27 +0000
Subject: [PATCH 688/1001] Merge #309 `Use tox to run the tests`


---

diff --git a/.gitignore b/.gitignore
index 357e7b0..b3b67a9 100644
--- a/.gitignore
+++ b/.gitignore
@@ -16,3 +16,7 @@ Vagrantfile
 *.retry
 *.pem
 config
+
+# tox
+.tox
+.coverage
diff --git a/docs/.gitignore b/docs/.gitignore
new file mode 100644
index 0000000..e35d885
--- /dev/null
+++ b/docs/.gitignore
@@ -0,0 +1 @@
+_build
diff --git a/runtest.sh b/runtest.sh
index 87fd265..cac5a69 100755
--- a/runtest.sh
+++ b/runtest.sh
@@ -1,6 +1,3 @@
 #!/bin/bash
 
-. ~/.virtualenvs/hubs/bin/activate || /bin/bash ./setup_python_test_env.sh
-
-HUBS_CONFIG=`pwd`/hubs/tests/hubs_test.cfg PYTHONPATH=. ./nosetests \
-    --with-coverage --cover-erase --cover-package=hubs $*
+tox --skip-missing-interpreters
diff --git a/tox.ini b/tox.ini
new file mode 100644
index 0000000..37dd0c2
--- /dev/null
+++ b/tox.ini
@@ -0,0 +1,51 @@
+[tox]
+envlist = py{27,34,35},js,docs
+skipsdist = True
+
+
+[testenv]
+basepython = python2
+usedevelop = True
+deps =
+    -rrequirements.txt
+    -rtest-requirements.txt
+setenv =
+    HUBS_CONFIG={toxinidir}/hubs/tests/hubs_test.cfg
+    PYTHONPATH={toxinidir}
+whitelist_externals =
+    rm
+commands =
+    rm -f /var/tmp/fedora-hubs-cache.db*
+    nosetests --with-coverage --cover-erase --cover-package=hubs {posargs:hubs}
+
+[testenv:js]
+skip_install = True
+usedevelop = False
+deps =
+whitelist_externals =
+    npm
+changedir = {toxinidir}/hubs/static/client
+commands =
+    npm install
+    npm test
+
+[testenv:docs]
+changedir = docs
+deps = sphinx
+whitelist_externals =
+    mkdir
+commands=
+    mkdir -p _static
+    sphinx-build -W -b html -d {envtmpdir}/doctrees .  _build/html
+
+
+[testenv:lint]
+deps =
+    flake8 > 3.0
+commands =
+    python -m flake8 {posargs}
+
+
+[flake8]
+show-source = True
+exclude = .git,.tox,dist,*egg,doc

